---
lang: en
title: 'API docs: tsdocs.getpackages'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.tsdocs.getpackages.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [getPackages](./tsdocs.getpackages.md)

## getPackages() function

Get lerna packages and sorted them by location

<b>Signature:</b>

```typescript
export declare function getPackages(rootDir?: string): Promise<LernaPackage[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rootDir | <code>string</code> | Root directory to find lerna.json |

<b>Returns:</b>

`Promise<LernaPackage[]>`


